public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in dev-vcs/mercurial: mercurial-9999.ebuild ChangeLog
@ 2011-12-16 21:31 Agostino Sarubbo (ago)
  0 siblings, 0 replies; 3+ messages in thread
From: Agostino Sarubbo (ago) @ 2011-12-16 21:31 UTC (permalink / raw
  To: gentoo-commits

ago         11/12/16 21:31:43

  Modified:             mercurial-9999.ebuild ChangeLog
  Log:
  Added die also to 9999 ebuild, thanks Arfrever for the hint bug #393287
  
  (Portage version: 2.1.10.40/cvs/Linux i686)

Revision  Changes    Path
1.11                 dev-vcs/mercurial/mercurial-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?r1=1.10&r2=1.11

Index: mercurial-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- mercurial-9999.ebuild	9 Sep 2011 16:50:10 -0000	1.10
+++ mercurial-9999.ebuild	16 Dec 2011 21:31:43 -0000	1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.10 2011/09/09 16:50:10 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.11 2011/12/16 21:31:43 ago Exp $
 
 EAPI=3
 PYTHON_DEPEND="2"
@@ -42,12 +42,12 @@
 	distutils_src_compile
 
 	if use emacs; then
-		cd "${S}"/contrib
+		cd "${S}"/contrib || die
 		elisp-compile mercurial.el || die "elisp-compile failed!"
 	fi
 
 	rm -rf contrib/{win32,macosx}
-	make doc
+	make doc || die
 }
 
 src_install() {
@@ -57,27 +57,27 @@
 
 	if use zsh-completion ; then
 		insinto /usr/share/zsh/site-functions
-		newins contrib/zsh_completion _hg
+		newins contrib/zsh_completion _hg || die
 	fi
 
 	rm -f doc/*.?.txt
-	dodoc CONTRIBUTORS README doc/*.txt
-	cp hgweb*.cgi "${ED}"/usr/share/doc/${PF}/
+	dodoc CONTRIBUTORS README doc/*.txt || die
+	cp hgweb*.cgi "${ED}"/usr/share/doc/${PF}/ || die
 
-	dobin hgeditor
-	dobin contrib/hgk
-	dobin contrib/hg-ssh
+	dobin hgeditor || die
+	dobin contrib/hgk || die
+	dobin contrib/hg-ssh || die
 
 	rm -f contrib/hgk contrib/hg-ssh
 
 	rm -f contrib/bash_completion
-	cp -r contrib "${ED}"/usr/share/doc/${PF}/
-	doman doc/*.?
+	cp -r contrib "${ED}"/usr/share/doc/${PF}/ || die
+	doman doc/*.? || die
 
 	cat > "${T}/80mercurial" <<-EOF
 HG="${EPREFIX}/usr/bin/hg"
 EOF
-	doenvd "${T}/80mercurial"
+	doenvd "${T}/80mercurial" || die
 
 	if use emacs; then
 		elisp-install ${PN} contrib/mercurial.el* || die "elisp-install failed!"
@@ -86,7 +86,7 @@
 }
 
 src_test() {
-	cd "${S}/tests/"
+	cd "${S}/tests/" || die
 	rm -rf *svn*				# Subversion tests fail with 1.5
 	rm -f test-archive			# Fails due to verbose tar output changes
 	rm -f test-convert-baz*		# GNU Arch baz



1.62                 dev-vcs/mercurial/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.62&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.62&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?r1=1.61&r2=1.62

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v
retrieving revision 1.61
retrieving revision 1.62
diff -u -r1.61 -r1.62
--- ChangeLog	15 Dec 2011 20:40:48 -0000	1.61
+++ ChangeLog	16 Dec 2011 21:31:43 -0000	1.62
@@ -1,6 +1,9 @@
 # ChangeLog for dev-vcs/mercurial
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.61 2011/12/15 20:40:48 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.62 2011/12/16 21:31:43 ago Exp $
+
+  16 Dec 2011; Agostino Sarubbo <ago@gentoo.org> mercurial-9999.ebuild:
+  Added die also to 9999 ebuild, thanks Arfrever for the hint bug #393287
 
   15 Dec 2011; Agostino Sarubbo <ago@gentoo.org> mercurial-2.0.1.ebuild:
   Added '|| die' where missing, wrt bug #393287






^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-vcs/mercurial: mercurial-9999.ebuild ChangeLog
@ 2012-12-27 18:47 Christoph Junghans (ottxor)
  0 siblings, 0 replies; 3+ messages in thread
From: Christoph Junghans (ottxor) @ 2012-12-27 18:47 UTC (permalink / raw
  To: gentoo-commits

ottxor      12/12/27 18:47:52

  Modified:             mercurial-9999.ebuild ChangeLog
  Log:
  mercurial.eclass respects  now
  
  (Portage version: 2.2.0_alpha149/cvs/Linux x86_64, signed Manifest commit with key C2000586)

Revision  Changes    Path
1.13                 dev-vcs/mercurial/mercurial-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?r1=1.12&r2=1.13

Index: mercurial-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- mercurial-9999.ebuild	21 Feb 2012 03:31:01 -0000	1.12
+++ mercurial-9999.ebuild	27 Dec 2012 18:47:52 -0000	1.13
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.12 2012/02/21 03:31:01 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.13 2012/12/27 18:47:52 ottxor Exp $
 
 EAPI=3
 PYTHON_DEPEND="2"
@@ -28,8 +28,6 @@
 		dev-python/pygments )
 	app-text/asciidoc"
 
-S="${WORKDIR}/hg"
-
 PYTHON_CFLAGS=(
 	"2.* + -fno-strict-aliasing"
 	"* - -ftracer -ftree-vectorize"



1.92                 dev-vcs/mercurial/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.92&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.92&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?r1=1.91&r2=1.92

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v
retrieving revision 1.91
retrieving revision 1.92
diff -u -r1.91 -r1.92
--- ChangeLog	16 Dec 2012 14:15:53 -0000	1.91
+++ ChangeLog	27 Dec 2012 18:47:52 -0000	1.92
@@ -1,6 +1,9 @@
 # ChangeLog for dev-vcs/mercurial
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.91 2012/12/16 14:15:53 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.92 2012/12/27 18:47:52 ottxor Exp $
+
+  27 Dec 2012; Christoph Junghans <ottxor@gentoo.org> mercurial-9999.ebuild:
+  mercurial.eclass respects  now
 
   16 Dec 2012; Pacho Ramos <pacho@gentoo.org> metadata.xml:
   Cleanup due retirement, #95685





^ permalink raw reply	[flat|nested] 3+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-vcs/mercurial: mercurial-9999.ebuild ChangeLog
@ 2013-04-17  8:52 Maxim Koltsov (maksbotan)
  0 siblings, 0 replies; 3+ messages in thread
From: Maxim Koltsov (maksbotan) @ 2013-04-17  8:52 UTC (permalink / raw
  To: gentoo-commits

maksbotan    13/04/17 08:52:32

  Modified:             mercurial-9999.ebuild ChangeLog
  Log:
  Port mercurial-999 to EAPI 5 and distutils-r1 eclass, bug #465630. Thanks to Nikolaj Sjujskij.
  
  (Portage version: 2.1.11.55/cvs/Linux x86_64, signed Manifest commit with key F8DBDADE)

Revision  Changes    Path
1.19                 dev-vcs/mercurial/mercurial-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.19&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?rev=1.19&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild?r1=1.18&r2=1.19

Index: mercurial-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- mercurial-9999.ebuild	8 Apr 2013 18:38:49 -0000	1.18
+++ mercurial-9999.ebuild	17 Apr 2013 08:52:32 -0000	1.19
@@ -1,14 +1,13 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.18 2013/04/08 18:38:49 maksbotan Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/mercurial-9999.ebuild,v 1.19 2013/04/17 08:52:32 maksbotan Exp $
 
-EAPI=3
-PYTHON_DEPEND="2"
-PYTHON_USE_WITH="threads"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.* *-jython 2.7-pypy-*"
+EAPI=5
 
-inherit bash-completion-r1 elisp-common eutils distutils mercurial
+PYTHON_COMPAT=( python{2_5,2_6,2_7} )
+PYTHON_REQ_USE="threads"
+
+inherit bash-completion-r1 elisp-common eutils distutils-r1 mercurial flag-o-matic
 
 DESCRIPTION="Scalable distributed SCM"
 HOMEPAGE="http://mercurial.selenic.com/"
@@ -20,86 +19,87 @@
 KEYWORDS=""
 IUSE="bugzilla emacs gpg test tk zsh-completion"
 
-RDEPEND="bugzilla? ( dev-python/mysql-python )
+RDEPEND="bugzilla? ( dev-python/mysql-python[${PYTHON_USEDEP}] )
 	gpg? ( app-crypt/gnupg )
 	tk? ( dev-lang/tk )
 	zsh-completion? ( app-shells/zsh )
 	app-misc/ca-certificates"
 DEPEND="emacs? ( virtual/emacs )
 	test? ( app-arch/unzip
-		dev-python/pygments )
-	app-text/asciidoc
-	dev-python/docutils"
-
-PYTHON_CFLAGS=(
-	"2.* + -fno-strict-aliasing"
-	"* - -ftracer -ftree-vectorize"
-)
+		dev-python/pygments[${PYTHON_USEDEP}] )
+	dev-python/docutils[${PYTHON_USEDEP}]"
 
-PYTHON_MODNAME="${PN} hgext"
 SITEFILE="70${PN}-gentoo.el"
 
-src_prepare() {
-	distutils_src_prepare
+python_prepare_all() {
 	# fix up logic that won't work in Gentoo Prefix (also won't outside in
 	# certain cases), bug #362891
 	sed -i -e 's:xcodebuild:nocodebuild:' setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+	strip-flags -ftracer -ftree-vectorize
+	# Note: make it impl-conditional if py3 is supported
+	append-flags -fno-strict-aliasing
+
+	"${PYTHON}" setup.py build_mo || die
 }
 
-src_compile() {
-	distutils_src_compile
-	make doc || die
+python_compile_all() {
+	rm -r contrib/{win32,macosx} || die
+	emake doc
 	if use emacs; then
-		cd "${S}"/contrib || die
+		cd contrib || die
 		elisp-compile mercurial.el || die "elisp-compile failed!"
 	fi
-	rm -rf contrib/{win32,macosx} || die
 }
 
-src_install() {
-	distutils_src_install
-	python_convert_shebangs 2 contrib/hg-ssh
+python_install_all() {
+	distutils-r1_python_install_all
 
-	newbashcomp contrib/bash_completion ${PN} || die
+	newbashcomp contrib/bash_completion ${PN}
 
 	if use zsh-completion ; then
 		insinto /usr/share/zsh/site-functions
-		newins contrib/zsh_completion _hg || die
+		newins contrib/zsh_completion _hg
 	fi
 
 	rm -f doc/*.?.txt || die
-	dodoc CONTRIBUTORS README doc/*.txt || die
+	dodoc CONTRIBUTORS doc/*.txt
 	cp hgweb*.cgi "${ED}"/usr/share/doc/${PF}/ || die
 
+	dobin hgeditor
+	dobin contrib/hgk
+	python_foreach_impl python_doscript contrib/hg-ssh
+
 	if use emacs; then
 		elisp-install ${PN} contrib/mercurial.el* || die "elisp-install failed!"
 		elisp-site-file-install "${FILESDIR}"/${SITEFILE}
 	fi
 
-	dobin hgeditor || die
-	dobin contrib/hgk || die
-	dobin contrib/hg-ssh || die
-
 	local RM_CONTRIB=(hgk hg-ssh bash_completion zsh_completion wix buildrpm plan9
-		              *.el mercurial.spec)
+	                  *.el mercurial.spec)
 	for f in ${RM_CONTRIB[@]}; do
 		rm -rf contrib/$f || die
 	done
 
-	cp -r contrib "${ED}"/usr/share/doc/${PF}/ || die
-	doman doc/*.? || die
+	dodoc -r contrib
+	docompress -x /usr/share/doc/${PF}/contrib
+	doman doc/*.?
 
 	cat > "${T}/80mercurial" <<-EOF
 HG="${EPREFIX}/usr/bin/hg"
 EOF
-	doenvd "${T}/80mercurial" || die
+	doenvd "${T}/80mercurial"
 
 	insinto /etc/mercurial/hgrc.d
 	doins "${FILESDIR}/cacerts.rc"
 }
 
 src_test() {
-	cd "${S}/tests/" || die
+	cd tests || die
 	rm -rf *svn* || die					# Subversion tests fail with 1.5
 	rm -f test-archive* || die			# Fails due to verbose tar output changes
 	rm -f test-convert-baz* || die		# GNU Arch baz
@@ -122,16 +122,23 @@
 		rm -f test-repair-strip* || die
 	fi
 
-	testing() {
-		local testdir="${T}/tests-${PYTHON_ABI}"
-		rm -rf "${testdir}" || die
-		"$(PYTHON)" run-tests.py --tmpdir="${testdir}"
-	}
-	python_execute_function testing
+	cd .. || die
+	distutils-r1_src_test
+}
+
+python_test() {
+	local TEST_DIR
+
+	rm -rf "${TMPDIR}"/test
+	distutils_install_for_testing
+	cd tests || die
+	"${PYTHON}" run-tests.py --verbose \
+		--tmpdir="${TMPDIR}"/test \
+		--with-hg="${TEST_DIR}"/scripts/hg \
+		|| die "Tests fail with ${EPYTHON}"
 }
 
 pkg_postinst() {
-	distutils_pkg_postinst
 	use emacs && elisp-site-regen
 
 	elog "If you want to convert repositories from other tools using convert"
@@ -144,6 +151,5 @@
 }
 
 pkg_postrm() {
-	distutils_pkg_postrm
 	use emacs && elisp-site-regen
 }



1.119                dev-vcs/mercurial/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.119&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?rev=1.119&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/mercurial/ChangeLog?r1=1.118&r2=1.119

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v
retrieving revision 1.118
retrieving revision 1.119
diff -u -r1.118 -r1.119
--- ChangeLog	8 Apr 2013 18:38:49 -0000	1.118
+++ ChangeLog	17 Apr 2013 08:52:32 -0000	1.119
@@ -1,6 +1,10 @@
 # ChangeLog for dev-vcs/mercurial
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.118 2013/04/08 18:38:49 maksbotan Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-vcs/mercurial/ChangeLog,v 1.119 2013/04/17 08:52:32 maksbotan Exp $
+
+  17 Apr 2013; Maxim Koltsov <maksbotan@gentoo.org> mercurial-9999.ebuild:
+  Port mercurial-999 to EAPI 5 and distutils-r1 eclass, bug #465630. Thanks to
+  Nikolaj Sjujskij.
 
 *mercurial-2.5.4 (08 Apr 2013)
 





^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2013-04-17  8:52 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-04-17  8:52 [gentoo-commits] gentoo-x86 commit in dev-vcs/mercurial: mercurial-9999.ebuild ChangeLog Maxim Koltsov (maksbotan)
  -- strict thread matches above, loose matches on Subject: below --
2012-12-27 18:47 Christoph Junghans (ottxor)
2011-12-16 21:31 Agostino Sarubbo (ago)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox